{
  "config": {
    "configFile": "/Users/linping/Desktop/Chamomind&FrappeT/JWS_TestScript/playwright.config.ts",
    "rootDir": "/Users/linping/Desktop/Chamomind&FrappeT/JWS_TestScript/tests",
    "forbidOnly": false,
    "fullyParallel": true,
    "globalSetup": null,
    "globalTeardown": null,
    "globalTimeout": 0,
    "grep": {},
    "grepInvert": null,
    "maxFailures": 0,
    "metadata": {
      "actualWorkers": 1
    },
    "preserveOutput": "always",
    "reporter": [
      [
        "json",
        {
          "outputFile": "reports.json"
        }
      ]
    ],
    "reportSlowTests": {
      "max": 5,
      "threshold": 15000
    },
    "quiet": false,
    "projects": [
      {
        "outputDir": "/Users/linping/Desktop/Chamomind&FrappeT/JWS_TestScript/test-results",
        "repeatEach": 1,
        "retries": 0,
        "metadata": {},
        "id": "chromium",
        "name": "chromium",
        "testDir": "/Users/linping/Desktop/Chamomind&FrappeT/JWS_TestScript/tests",
        "testIgnore": [],
        "testMatch": [
          "**/*.@(spec|test).?(c|m)[jt]s?(x)"
        ],
        "timeout": 30000
      }
    ],
    "shard": null,
    "updateSnapshots": "missing",
    "version": "1.44.1",
    "workers": 1,
    "webServer": null
  },
  "suites": [
    {
      "title": "01-Admin-BranchManagement/JWS_BM_001_CreateHeadquarters.spec.ts",
      "file": "01-Admin-BranchManagement/JWS_BM_001_CreateHeadquarters.spec.ts",
      "column": 0,
      "line": 0,
      "specs": [
        {
          "title": "Login",
          "ok": true,
          "tags": [],
          "tests": [
            {
              "timeout": 30000,
              "annotations": [],
              "expectedStatus": "passed",
              "projectId": "chromium",
              "projectName": "chromium",
              "results": [
                {
                  "workerIndex": 4,
                  "status": "passed",
                  "duration": 3024,
                  "errors": [],
                  "stdout": [],
                  "stderr": [],
                  "retry": 0,
                  "startTime": "2024-07-30T02:59:00.817Z",
                  "attachments": []
                }
              ],
              "status": "expected"
            }
          ],
          "id": "8c5091bd59605f227965-8109f0f4a59e27330a76",
          "file": "01-Admin-BranchManagement/JWS_BM_001_CreateHeadquarters.spec.ts",
          "line": 16,
          "column": 1
        },
        {
          "title": "Create Branch Managenment",
          "ok": true,
          "tags": [],
          "tests": [
            {
              "timeout": 30000,
              "annotations": [],
              "expectedStatus": "passed",
              "projectId": "chromium",
              "projectName": "chromium",
              "results": [
                {
                  "workerIndex": 4,
                  "status": "passed",
                  "duration": 5091,
                  "errors": [],
                  "stdout": [],
                  "stderr": [],
                  "retry": 0,
                  "startTime": "2024-07-30T02:59:05.659Z",
                  "attachments": []
                }
              ],
              "status": "expected"
            }
          ],
          "id": "8c5091bd59605f227965-5a0d70f27623401a3479",
          "file": "01-Admin-BranchManagement/JWS_BM_001_CreateHeadquarters.spec.ts",
          "line": 27,
          "column": 1
        },
        {
          "title": "Create Branch Managenment Second",
          "ok": true,
          "tags": [],
          "tests": [
            {
              "timeout": 30000,
              "annotations": [],
              "expectedStatus": "passed",
              "projectId": "chromium",
              "projectName": "chromium",
              "results": [
                {
                  "workerIndex": 4,
                  "status": "passed",
                  "duration": 5029,
                  "errors": [],
                  "stdout": [],
                  "stderr": [],
                  "retry": 0,
                  "startTime": "2024-07-30T02:59:10.755Z",
                  "attachments": []
                }
              ],
              "status": "expected"
            }
          ],
          "id": "8c5091bd59605f227965-d619bd2184e7f07d4970",
          "file": "01-Admin-BranchManagement/JWS_BM_001_CreateHeadquarters.spec.ts",
          "line": 52,
          "column": 1
        }
      ]
    }
  ],
  "errors": [],
  "stats": {
    "startTime": "2024-07-30T02:59:00.334Z",
    "duration": 15556.794999999925,
    "expected": 3,
    "skipped": 0,
    "unexpected": 0,
    "flaky": 0
  }
}